package eu.etaxonomy.taxeditor.prototype1.view;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.IToolBarManager;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.part.ViewPart;

import eu.etaxonomy.cdm.model.name.TaxonName;
import eu.etaxonomy.taxeditor.prototype1.Activator;

public class LastNameView extends ViewPart implements PropertyChangeListener {

	public static final String ID = "eu.etaxonomy.mvctest.view.LastNameView"; //$NON-NLS-1$
	private Label lblName;
	/**
	 * Create contents of the view part
	 * @param parent
	 */
	@Override
	public void createPartControl(Composite parent) {
		Composite container = new Composite(parent, SWT.NONE);
		final GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 2;
		container.setLayout(gridLayout);

		final Label theLastNameLabel = new Label(container, SWT.NONE);
		theLastNameLabel.setText("The last name created was: ");

		lblName = new Label(container, SWT.NONE);
		lblName.setText("none yet");
		lblName.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));

		
		new Label(container, SWT.NONE);
		//
		createActions();
		initializeToolBar();
		initializeMenu();

		Activator.getDefault().getTaxonList().addPropertyChangeListener(this);
		
	}

	/**
	 * Create the actions
	 */
	private void createActions() {
		// Create the actions
	}

	/**
	 * Initialize the toolbar
	 */
	private void initializeToolBar() {
		IToolBarManager toolbarManager = getViewSite().getActionBars()
				.getToolBarManager();
	}

	/**
	 * Initialize the menu
	 */
	private void initializeMenu() {
		IMenuManager menuManager = getViewSite().getActionBars()
				.getMenuManager();
	}

	@Override
	public void setFocus() {
		// Set the focus
	}

	public void propertyChange(PropertyChangeEvent evt) {
		if (evt.getPropertyName().equalsIgnoreCase("ITEM_ADD")){
			TaxonName tn = (TaxonName)evt.getNewValue();
			lblName.setText( tn.getName());
		}
	}

}
