/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.actions.cdm;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.ISelection;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.TaxEditorPlugin;
import eu.etaxonomy.taxeditor.controller.GlobalController;
import eu.etaxonomy.taxeditor.model.CdmSessionDataRepository;
import eu.etaxonomy.taxeditor.navigation.TaxonomicTreeViewer;

/**
 * Moves taxon in the taxonomic tree by assigning it a new parent
 *  and triggering observable tree list update
 * 
 * @author p.ciardelli
 * @created 06.05.2008
 * @version 1.0
 */
public class MoveTaxonAction extends Action {
	private static final Logger logger = Logger
			.getLogger(MoveTaxonAction.class);

	Taxon taxon;
	Taxon newParentTaxon;
	Taxon oldParentTaxon;
	
	public MoveTaxonAction(Taxon taxon, Taxon newParentTaxon) {
		
		this.taxon = taxon;
		this.newParentTaxon = newParentTaxon;
		
		// Save old parent taxon for undo
		this.oldParentTaxon = taxon.getTaxonomicParent();
	}
	
	@Deprecated
	public void run() {
		CdmSessionDataRepository.getDefault().
				setTaxonomicParent(taxon, newParentTaxon);		
		new SaveTaxonAction(taxon).run();
	}
}