/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.actions.ui;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

import eu.etaxonomy.cdm.model.name.NonViralName;
import eu.etaxonomy.cdm.model.reference.ReferenceBase;
import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.ITaxEditorConstants;
import eu.etaxonomy.taxeditor.TaxEditorPlugin;
import eu.etaxonomy.taxeditor.controller.EditorController;
import eu.etaxonomy.taxeditor.datasource.CdmDataSourceRepository;
import eu.etaxonomy.taxeditor.model.CdmSessionDataRepository;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * Opens a name editor for a new, uninitialized taxon. 
 * 
 * @author p.ciardelli
 * @created 02.06.2008
 * @version 1.0
 * @deprecated
 */
public class OpenNewTaxonEditorAction extends Action {
	private static final Logger logger = Logger
			.getLogger(OpenNewTaxonEditorAction.class);

	private static String textRootTaxon = "Add root taxon";
	private static String textChildTaxon = "Add child taxon";
	private ImageDescriptor imageChildTaxon = TaxEditorPlugin.getDefault()
			.getImageDescriptor(ITaxEditorConstants.ADD_CHILD_TAXON_ICON);

	private Taxon taxon;
	private Taxon parentTaxon = null;
	public static final String ID = "eu.etaxonomy.taxeditor.actions.opennameeditoraction"; //$NON-NLS-1$
	
	public OpenNewTaxonEditorAction() {
		super(textRootTaxon);
		setId(ID);
	}
	
	@Deprecated
	public OpenNewTaxonEditorAction(Taxon parentTaxon) {
		this();

		setText(textChildTaxon);
		setImageDescriptor(imageChildTaxon);
		
		this.parentTaxon = parentTaxon;
	}
	
	@Deprecated
	public void run() {
		
		NonViralName name = PreferencesUtil.getInstanceOfPreferredNameClass();
		taxon = Taxon.NewInstance(name, null);
				
		if (parentTaxon == null) {
			taxon = Taxon.NewInstance(name, 
						CdmSessionDataRepository.getDefault().getDefaultSec());
		} else {
			taxon = Taxon.NewInstance(name, 
						parentTaxon.getSec());
			parentTaxon.addTaxonomicChild(taxon, null, null);
		}
		
		// Open editor for new taxon
		EditorController.openUnitializedChildTaxon(taxon);
				
		//new OpenTaxonEditorAction(taxon).run();
	}
}