/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.description;

import org.apache.log4j.Logger;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.description.TaxonDescription;
import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.editor.GroupComposite;

/**
 * @author p.ciardelli
 * @created 13.01.2009
 * @version 1.0
 */
public class DescriptionGroupComposite extends GroupComposite {
	private static final Logger logger = Logger
			.getLogger(DescriptionGroupComposite.class);
	
	private Taxon taxon;
	private TaxonDescription description;
	
	public DescriptionGroupComposite(Composite parent, Taxon taxon,
			TaxonDescription description) {
		
		super(parent);
		
		this.taxon = taxon;
		this.description = description;
	}
	
	public Taxon getTaxon() {
		return taxon;
	}
	
	public TaxonDescription getDescription() {
		return description;
	}
}
